<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="m4Agr" label="Déclaration de radiation d'une personne morale ayant une activité principale agricole" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <default>
        <data type="String" mandatory="true"/>
    </default>
	
	<group id="cadre1Identite" label="Rappel d'identification">
		<warning>Déclaration de radiation d'une personne morale (hors activité principale agricole)</warning>
		<group id="cadre1RappelIdentification" label="Rappel d'identification">
			<data id="siren" label="Numéro unique d'identification :" type="SIREN" width="50%">
				<help>Il s'agit de votre numéro SIREN.</help>
            </data>
			<data id="entrepriseDenomination" label="Dénomination sociale de l'entreprise :" type="String(max:100)" mandatory="true" />
			<data id="entrepriseFormeJuridique" label="Forme juridique :" type="ComboBox(ref:'formesJuridiques')" mandatory="true"/>
			<data id="immatriculationRM" label="Etes-vous immatriculé au Répertoire des Métiers (RM) ?" type="Boolean">
				<help>Si vous êtes artisan, vous dépendez de la CMA (chambre des métiers et de l'artisanat) alors vous êtes inscrit au RM).</help>
			</data>
			<data id="immatRCSGreffe" label="Immatriculation au greffe de :" type="ComboBoxSelectExternal" mandatory="true">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/authority?filters=details.ediCode~G&amp;maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>	
			<data id="immatRMCMA" label="Immatriculation au RM dans le département de :" type="ComboBoxSelectExternal" mandatory="true" >
				<if>$cadre1RappelIdentification.immatriculationRM</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/departments?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="activiteViticole" label="Exerciez-vous une activité viticole ?" type="Boolean" mandatory="true" />
			<data id="activiteElevage" label="Exerciez-vous une activité d'élevage ?" type="Boolean" mandatory="true" />
			<data id="numeroElevage" label="Numéro de détenteur de cet élevage :" type="String(max:12,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,12}$&quot;)">
				<if>$cadre1RappelIdentification.activiteElevage</if>
			</data>	
			<data id="numeroExploitation" label="Numéro d'exploitation :" type="String(max:12,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,12}$&quot;)" >
				<if>$cadre1RappelIdentification.activiteElevage</if>
			</data>	
		</group>
	</group>
	
	<group id="cadre2AdresseEtablissementGroup" label="Adresse du siège ou du premier établissement en France">
 		<group id="cadreAdresseEtablissement" label="Adresse du siège ou du premier établissement en France :">
			<group id="adresseEtablissementPrincipal" label="Adresse du siège ou du premier établissement en France :">				
				<data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distriutionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh('_page.cadreAdresseEtablissement.adresseEtablissementPrincipal.commune')" width="30%">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true" width="70%">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<data id="autreEtablissementFerme" label="Avez-vous un autre établissement relevant du même greffe et simultanément fermé ?" type="Boolean"/>
			
			<group id="autreEtablissement[]" min-occurs="1" label="Adresse établissement fermé en France">
				<if>_page.cadreAdresseEtablissement.autreEtablissementFerme</if>
				<warning>Cliquez sur le bouton « + » pour ajouter plusieurs établissements.</warning>
				<data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh(this, '_group.commune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>	
				<data id="destination" label="Indiquez la destination de votre ancien établissement :" type="Radios(inline:false)">
					<conftype>
						<referential>
							<text id="destinationSuppression">Suppression</text>
							<text id="destinationVente">Vente</text>
							<text id="destinationAutre">Autre</text>
						</referential>
					</conftype>
				</data>
				<data id="autreLibelle" label="Préciser :" type="String(max:65,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,65}$&quot;)">
					<if>Value('id').of(_group.destination).eq('destinationAutre')</if>
				</data>
				<data id="dateCessationEmploi" label="Date (si cessation d'emploi de tout salarié)" type="Date" mandatory="false" />
			</group>			
		</group>		
	</group>
	
	<group id="cadre3InformationsGroup" label="Informations relatives à la cessation d'activité">
		<group id="cadre3Informations" label="Informations relatives à la cessation d'activité">
			<data id="dateCessation" label="Date de cessation de l’activité de l’entreprise (date d'effet de la liquidation de l'entreprise)" type="Date" mandatory="true" />
			<data id="dateCessationOperation" label="Date de fin de la procédure de dissolution (si différente de la date de liquidation)" type="Date" mandatory="false" />
			<data id="motifCessation" label="Motif de la cessation d'activité :" type="Radios(inline:false)" mandatory="true">
				<conftype>
					<referential>
						<text id="clotureLiquiation">Clôture de la liquidation</text>
						<text id="transfertPatrimoine">Réalisation du transfert de patrimoine (réunion des parts sociales dans une même main)</text>
						<text id="fusion">Fusion</text>
						<text id="scission">Scission</text>
						<text id="autre">Autre</text>
					</referential>
				</conftype>
			</data>
			<data id="presenceSalaries" label="Y-a-il des salariés au moment de la radiation ?" type="Boolean"/>
			<data id="dateCessationEmploiSalarie" label="En cas de cessation d'emploi de tout salarié, indiquez la date :" type="Date" mandatory="false">
				<if>$cadre3Informations.presenceSalaries</if>
			</data>
		</group>
	</group>
	
	<group id="cadre8RensCompGroup" label="Renseignements complémentaires">
		<group id="cadre8RensComp" label="Renseignements complémentaires">	
			<data id="observations" label="Observations :" type="String(max:150)" mandatory="false"/>
			<data id="adresseCorrespond" label="Adresse de correspondance :" type="Radios(inline:false)">
				<conftype>
					<referential>
						<text id="prof">Adresse du siège ou du premier établissement en France</text>
						<text id="autre">Autre adresse</text>
					</referential>
				</conftype>
			</data>
			<group id="adresseCorrespondance" label="Adresse de correspondance">
				<if>Value('id').of($cadre8RensComp.adresseCorrespond).eq('autre')</if>				
				<data id="nomPrenomDenomination" label="Nom et prénom ou dénomination sociale du destinataire :" type="String(max:100)" mandatory="true" />
				<data id="numeroVoie" label="Numéro et libellé de voie :" mandatory="false" type="String" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre8RensComp.adresseCorrespondance.commune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<group id="infosSup" label="Informations de contact">
				<data id="telephone1" label="Téléphone fixe :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone fixe.</help>
				</data>
				<data id="telephone2" label="Téléphone mobile :" type="Phone">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone mobile.</help>
				</data>
				<data id="courriel" label="Courriel :" type="Email" mandatory="false">
					<help>Il convient de renseigner une adresse électronique valide.</help>
				</data>
				<data id="telecopie" label="Télécopie (si courriel inexistant) :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de fax.</help>
					<if>not $cadre8RensComp.infosSup.courriel</if>
				</data>
			</group>
		</group>
	</group>
	
	<group id="cadre9SignatureGroup" label="Signature">
		<group id="cadre9Signature" label="Signature">
			<data id="soussigne" label="Signataire de la déclaration :" type="Radios(inline:true)" mandatory="true">
				<conftype>
					<referential>
						<text id="representantLegal">Le représentant légal</text>
						<text id="mandataire">Le mandataire ayant procuration</text>
						<text id="autrePersonne">Autre personne (justifiant d'un intérêt)</text>
					</referential>
				</conftype>
			</data>
			
			<group id="adresseMandataire" label="Coordonnées du mandataire">
                <data id="nomPrenomDenomination" label="Nom et prénom ou dénomination sociale :" type="String(max:120,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{1,120}$&quot;)"/>	
                <data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false"/>
                <data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false"/>
                <data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
                <data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{1,32}$&quot;)"/>
                <data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
                <data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
                <data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre9Signature.adresseMandataire.commune')">
                    <help>Il convient d'indiquer ici le code postal de la localité.</help>
                </data>
                <data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
                    <conftype>
                        <referential>
                            <external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
                            </external>
                        </referential>
                    </conftype>
                </data>
            </group>
			<data id="lieu" label="Fait à :" type="String(max:32,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{1,32}$&quot;)" />
            <data id="date" label="Le :" type="DatePast" mandatory="true" />
		</group>
    </group>
</form>
